#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sources_subdir	%{name}-%{version}
#-----------------------------------------------------------------------------
Name		:	libportal
Version		:	0.6
Release		:	14.8.0.0%{?dist}
Summary		:	A GIO-style async APIs for most Flatpak portals.

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	 https://wiki.gnome.org/Apps/Web

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection 
BuildRequires	:	gtk-doc
BuildRequires	:	gtk-devel
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	qtx11extras-devel
BuildRequires	:	vala


#-----------------------------------------------------------------------------
%description
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license COPYING
%doc README.md NEWS
%{_libdir}/%{name}.so.1*
%{_libdir}/%{name}-gtk3.so.1*
%{_libdir}/%{name}-gtk4.so.1*
%{_libdir}/%{name}-qt5.so.1*
%{_libdir}/girepository-1.0/Xdp*-1.0.typelib

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}-gtk3/*.h
%{_includedir}/%{name}-gtk4/*.h
%{_includedir}/%{name}-qt5/*.h
%{_libdir}/%{name}.so
%{_libdir}/%{name}-gtk3.so
%{_libdir}/%{name}-gtk4.so
%{_libdir}/%{name}-qt5.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-gtk3.pc
%{_libdir}/pkgconfig/%{name}-gtk4.pc
%{_libdir}/pkgconfig/%{name}-qt5.pc
%{_datadir}/gir-1.0/Xdp*-1.0.gir
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi
%{_datadir}/vala/vapi/%{name}-gtk3.deps
%{_datadir}/vala/vapi/%{name}-gtk3.vapi
%{_datadir}/vala/vapi/%{name}-gtk4.deps
%{_datadir}/vala/vapi/%{name}-gtk4.vapi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	-D docs=false					\
	..

ninja

popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%changelog
